### Method

# FwupdPlugin UefiDevice read_default

since: 2.1.5

#### Declaration [src]

    FuFirmware*
    fu_uefi_device_read_default (
      FuUefiDevice* self,
      const gchar* guid,
      const gchar* name,
      GError** error
    )

#### Description [src]

Gets the data from a UEFI variable in NVRAM, emulating if required.

Available since: 2.1.5

#### Parameters

`guid`

  Type: `const gchar*`

  Globally unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Variable name, e.g. `db`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuFirmware`

A `FuFirmware`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.